<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
<html>
	<head>
		<style type="text/css">
			#icon{
			background-image:url("file:///opt/youdaodict/simple/css/new-sprite.png");
				color: #2779B6;
				background-position:-177px -129px;
				height:19px;
				width:23px;
				display:inline-block;
				outline:medium none;
				overflow:hidden;
				vertical-align:middle;
			}
			#key{
				display:inline;
				font-family:Arial,sans-serif;
				font-weight:bold;
			}
			#phonetic{
				display:inline;
				font-family:Arial,sans-serif;
			}
		</style>
		<script type="text/javascript">
			function playvoice(word){
				var ado = document.getElementById("my_voice");
				ado.ended = true;
				var path = "http://dict.youdao.com/dictvoice?audio=" + encodeURIComponent(word);
				ado.setAttribute("src",path);
				ado.play();
			}
		</script>
	</head>
	<body>
		<p id="key"><xsl:value-of select="/yodaodict/original-query"/></p>
		<xsl:if test="/yodaodict/phonetic-symbol">
			<xsl:variable name="pho" select="/yodaodict/phonetic-symbol" />
			<xsl:if test="$pho != ''">
				<p id="phonetic">[<xsl:value-of select="$pho"/>]</p>
			</xsl:if>
		</xsl:if>
		<xsl:if test="/yodaodict/dictcn-speach">
			<xsl:element name="a">
				<xsl:attribute name="id">icon</xsl:attribute>
				<xsl:attribute name="href">#</xsl:attribute>
				<xsl:attribute name="ref"><xsl:value-of select="/yodaodict/dictcn-speach"/></xsl:attribute>
						<xsl:attribute name="onmouseover">this.style.cursor='hand';</xsl:attribute>
				<xsl:attribute name="onclick">playvoice(this.getAttribute('ref'));return false;</xsl:attribute>
			</xsl:element>
			<xsl:element name="audio">
				<xsl:attribute name="id">my_voice</xsl:attribute>
			</xsl:element>
		</xsl:if>
		<xsl:if test="/yodaodict/custom-translation">
			<xsl:for-each select="/yodaodict/custom-translation/translation">
				<p class="basic"><xsl:value-of select="content"/></p>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="not(/yodaodict/custom-translation)">
			<p class="nobasic">没有简单释义</p>
		</xsl:if>
	</body>
</html>
</xsl:template>
</xsl:stylesheet>
